Few queries on 802.11r

Jouni Malinen j at w1.fi
Wed Oct 14 13:51:05 EDT 2009


On Tue, Oct 13, 2009 at 08:00:07PM +0530, alan furlong wrote:

> So it means I need -Dnl80211 to make it work ?

You could make it work with any driver wrapper by modifying the driver
and the wrapper, so in that sense, no, nl80211 is not the only option
for this. However, if you are considering of doing something new with
Linux, nl80211 would be a preferred thing to use over wext (or even
worse, some vendor specific mechanisms) at this point.

> Does it support over_the_air FT OR over_the _DS FT ?

wpa_supplicant itself supports both. Whether the driver supports one or
the other (or both) depends on the driver/802.11 stack in the kernel.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list